.b-form {
  background-color: #F0F0F0;
  margin-bottom: 20px;
  padding: 10px 20px;
  font-family: Arial;
}

.b-form .inlineLabels label {
  text-align: right
}

.b-form .inlineLabels li label {
  text-align: left
}

.b-form .inlineLabels .radiogroup label,
.b-form .inlineLabels .checkboxgroup label {
  /* color: #555555; */
  color: #FFF;
}

.b-form .inlineLabels .radiogroup label input,
.b-form .inlineLabels .checkboxgroup label input {
  margin-right: 0.5em
}

.b-form .ctrlHolder {
  padding: 1em;
  overflow: hidden;
}

.b-form .ctrlHolder.focused {
  background: #F1F1F1;
}

.b-form .formHint {
  font-style: italic;
  font-size: .9em;
  color: #555555;
}

.b-form .inlineLabels .formHint {
  padding-top: .5em;
}

.b-form .ctrlHolder.focused .formHint {
  color: #555555;
}

.b-form .inlineLabels label,
.b-form .inlineLabels .label,
.b-form .inlineLabels .readOnlyLabel {
  float: left;
  margin: .3em 2% 0 0;
  padding: 0;
  line-height: 1.6;
  position: relative;
  width: 32%;
  color: #555555;
}

.b-form .inlineLabels .readOnlyLabel {
  margin: 0;
}

.b-form .inlineLabels .textInput,
.b-form .inlineLabels .fileUpload,
.b-form .inlineLabels .selectInput,
.b-form .inlineLabels select,
.b-form .inlineLabels textarea {
  float: left;
  width: 64%;
  color: #4C4C4C;
  border: 1px solid #A7A7A7;
}

.b-form .inlineLabels textarea {
  max-width: 430px;
}

.b-form .inlineLabels .formHint {
  clear: both;
  float: none;
  width: auto;
  margin-left: 0%;
  position: static;
  margin-bottom: 0
}

.b-form .inlineLabels ul {
  float: left;
  width: 100%;
}

.b-form .inlineLabels ul li {
  margin: .5em 0 1em
}

.b-form .inlineLabels ul li label {
  float: none;
  display: block;
  width: 100%;
}

.b-form .inlineLabels ul.alternate li {
  margin-right: 3%;
  margin-top: .25em;
}

.b-form .inlineLabels ul li label .textInput,
.b-form .inlineLabels ul li label textarea,
.b-form .inlineLabels ul li label select {
  float: none;
  display: block;
  width: 98%;
  margin-top: 0.5em
}

.b-form .inlineLabels .readOnly {
  float: right;
  width: 66%;
}

.b-form .inlineLabels label em,
.b-form .inlineLabels .label em {
  display: block;
  float: none;
  margin: 0;
  position: absolute;
  right: 0;
}

.b-form legend {
  color: inherit;
}

.b-form .inlineLabel input,
.b-form .inlineLabels .inlineLabel input,
.b-form .blockLabels .inlineLabel input,
.b-form label input {
  float: none;
  display: inline;
  margin: 0;
  padding: 0;
  border: none;
}

.b-form .inlineLabels .noLabel ul {
  margin-left: 0%;
}

.b-form .small {
  width: 30% !important;
}

.b-form .medium {
  width: 45% !important;
}

.b-form .large {}

.b-form .auto {
  width: auto !important;
  height: auto !important;
}

.b-form .small,
.b-form .medium,
.b-form .auto {
  margin-right: 4px;
}


/* Columns */

.b-form .col {
  float: left;
}

.b-form .col {
  width: 50%;
}

.b-form legend {
  font-weight: bold;
  font-size: 100%;
  margin: 0;
  padding: 1.5em 0;
}

.b-form label small {
  font-size: .75em;
  color: #777;
}

.b-form .textInput,
.b-form textarea {
  padding: 4px 2px;
  background: #fff;
}

.b-form textarea {
  height: 6em;
}

.b-form ul li label {
  font-size: 1em;
  line-height: 1em!important
}

.b-form .ctrlHolder .textInput:focus,
.b-form .ctrlHolder textarea:focus {
  outline: none;
}

.b-form .buttonHolder {
  padding: 1.5em;
  text-align: center;
}

.b-form .b-button {
  display: inline-block;
  line-height: 2.8em;
  padding: 0 30px;
  border: none;
  cursor: pointer;
  behavior: url("/assets/flinstone/js/PIE.htc");
  position: relative;
  background: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #EBEBEB), color-stop(100%, #BCBCBC));
  background: -webkit-linear-gradient(top, #EBEBEB, #BCBCBC);
  background: -moz-linear-gradient(top, #EBEBEB, #BCBCBC);
  background: -o-linear-gradient(top, #EBEBEB, #BCBCBC);
  background: -ms-linear-gradient(top, #EBEBEB, #BCBCBC);
  -pie-background: linear-gradient(top, #EBEBEB, #BCBCBC);
  background: linear-gradient(top, #EBEBEB, #BCBCBC);
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  -o-border-radius: 2px;
  -ms-border-radius: 2px;
  -khtml-border-radius: 2px;
  border-radius: 2px;
  color: #4B4B4B;
  font-size: 1.2em;
  text-shadow: #e8e8e8 0 1px 0;
  -webkit-box-shadow: 0 0px 2px #231F20;
  -moz-box-shadow: 0 0px 2px #231F20;
  -ms-box-shadow: 0 0px 2px #231F20;
  box-shadow: 0 0px 2px #231F20;
}

.b-form .b-button:hover {
  color: #3390D1;
  -webkit-box-shadow: 0 0px 4px #231F20;
  -moz-box-shadow: 0 0px 4px #231F20;
  -ms-box-shadow: 0 0px 4px #231F20;
  box-shadow: 0 0px 4px #231F20;
}

.b-form .b-button:active {
  color: #D6D6D6;
  background: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #767575), color-stop(100%, #BCBCBC));
  background: -webkit-linear-gradient(top, #767575, #BCBCBC);
  background: -moz-linear-gradient(top, #767575, #BCBCBC);
  background: -o-linear-gradient(top, #767575, #BCBCBC);
  background: -ms-linear-gradient(top, #767575, #BCBCBC);
  -pie-background: linear-gradient(top, #767575, #BCBCBC);
  background: linear-gradient(top, #767575, #BCBCBC);
  -webkit-box-shadow: 0 0px 2px #231F20;
  -moz-box-shadow: 0 0px 2px #231F20;
  -ms-box-shadow: 0 0px 2px #231F20;
  box-shadow: 0 0px 2px #231F20;
  text-shadow: none;
}

.b-form #errorMsg {
  background: #cc422b;
  border: 1px solid #E08E80;
  margin: 0;
  padding: 5px;
}

.b-form #errorMsg h3 {
  color: #FFF;
  text-shadow: none;
  padding: 5px 0;
  margin: 0
}

.b-form #errorMsg p {
  margin: 0 0 3px;
  padding: 7px;
  background: #FFF;
  com position: relative;
  font-size: 1em;
  color: #3C3C3C
}

.b-form .ctrlHolder.error,
.b-form .ctrlHolder.focused.error {
  /*background: #cc422b; border: 1px solid #E08E80;*/
}

.b-form .ctrlHolder.error input.error,
.b-form .ctrlHolder.error select.error,
.b-form .ctrlHolder.error textarea.error {
  /*margin: 0 0 6px 0;*/
  padding: 4px;
}

.b-form .ctrlHolder.error label,
.b-form .ctrlHolder.error .label,
.b-form .ctrlHolder.error .formHint {
  /*color:#FFF*/
  color: #cc422b;
}

.b-form #okMsg {
  background: #85D73D;
  border: 1px solid #429808;
  margin: 0 0 1.5em 0;
  padding: 1.5em 0;
  text-align: center;
}

.b-form #okMsg h2 {
  margin: 0;
  text-shadow: none;
  color: #FFF;
}

.b-form .col {
  margin-bottom: 1.5em;
}

.b-form .col.first {
  width: 49%;
  float: left;
  clear: none;
}

.b-form .col.last {
  width: 49%;
  float: right;
  clear: none;
  margin-right: 0;
}